#!/bin/tcsh -f
#
# Author: Mahmut Arikan
#
# 2010 - TUDelft MPG Radar Group

set tmp=/tmp/arclist.$$
set satel=ERS-1
set model=EIGEN.GL04S
set satnr=0200901
cat <<%
			$satel ORBITAL DATA RECORDS

This table presents some information on the $satel Orbital Data Records (ODR)
generated by the Delft Institute for Earth Oriented Space Research (DEOS).
Store this file with the name "arclist" in the same directory as the ODR
files, named "ODR.????".

Each ODR file contains the orbital position of $satel as a function of time,
computed in one orbit generation run (arc). These arcs are indicated by a
three digit number ("Arc#"). The "Arc interval" is the period over which
the orbit was computed and overlaps with the preceeding and consecutive
arc. The residuals of the tracking data (all in centimeters) are given
under "SLR", "xover", and "altim", respectively.
The length of the repeat cycle in days ("Repeat") and the distribution version
number ("Ver") are listed. The recommended begin of the precise (middle) part
of the arc ("Begin") is always over the Antarctic.

Model: $model

Version description: EIGEN.GL04S gravity field, Quick-look SLR, OPR single xovers,
ITRF2005 coordinates, 3-hourly drag, dayly empirirical accelerations.
Version 999: includes crossovers and altimeter heights.

Arc# ------- Arc interval ------ -SLR-xover-altim  Repeat Ver  ---- Begin ----
%
set counter=$1
while ($counter <= $2)
@ arcnr = $counter + 1000
    set arcnr = `echo $arcnr | cut -c2-`
    set odr=ODR.$arcnr
    #set res=res.$arcnr
    lodr -s $odr >> $tmp.a
    echo "$arcnr " >> $tmp.b
    #if ( $? != 0 ) echo "    " >> $tmp.3
    echo "                 " >> $tmp.3
    #lodr $odr | head -n2 | tail -n1 | cut -c1-15  >> $tmp.6 # this is wrong
    lodr $odr | head -n1 | cut -c67- >> $tmp.6
@ counter ++
end
cut -c6-32 $tmp.a > $tmp.1
cut -c45-  $tmp.a > $tmp.5
paste -d' ' $tmp.b $tmp.[123456]
rm -f $tmp.?
